# Deployer

<a href="https://travis-ci.org/deployphp/deployer"><img src="https://travis-ci.org/deployphp/deployer.svg?branch=master" alt="Build Status"></a>
<a href="https://scrutinizer-ci.com/g/deployphp/deployer/"><img src="https://img.shields.io/scrutinizer/g/deployphp/deployer.svg?style=flat" alt="Code Quality"></a>
<a href="https://scrutinizer-ci.com/g/deployphp/deployer/code-structure/master/code-coverage"><img src="https://img.shields.io/scrutinizer/coverage/g/deployphp/deployer/master.svg?style=flat" alt="Code Quality"></a>
<a href="https://packagist.org/packages/deployer/deployer"><img src="https://img.shields.io/packagist/dt/deployer/deployer.svg" alt="Total Downloads"></a>
<a href="https://packagist.org/packages/deployer/deployer"><img src="https://img.shields.io/packagist/v/deployer/deployer.svg?style=flat" alt="Latest Stable Version"></a>
<a href="https://packagist.org/packages/deployer/deployer"><img src="https://img.shields.io/badge/license-MIT-blue.svg?style=flat" alt="License"></a>

A deployment tool written in PHP with support for popular frameworks out of the box

<a href="https://www.patreon.com/deployer"><img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="160"></a>

See [deployer.org](https://deployer.org) for more information and documentation.

## Features

* **Simple** setup process and a minimal learning curve
* Ready to use recipes for **most frameworks**
* **Parallel** execution without extensions
* Something went wrong? **Rollback** to the previous release
* **Agentless**, it's just SSH
* **Zero downtime** deployments

## Contributing

Read the [contributing](https://github.com/deployphp/deployer/blob/master/.github/CONTRIBUTING.md) guide, join the [discussions](https://deployer.org/discuss), take a look on open [issues](https://github.com/deployphp/deployer/issues)

[![good+for+beginner](https://img.shields.io/badge/feature-good%20for%20beginner-1d76db.svg)](https://github.com/deployphp/deployer/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+for+beginner%22)
[![advanced+level](https://img.shields.io/badge/feature-advanced%20level-5319e7.svg)](https://github.com/deployphp/deployer/issues?q=is%3Aissue+is%3Aopen+label%3A%22advanced+level%22)

## Maintainers
* Anton Medvedev [@antonmedv](https://github.com/antonmedv)

See also the list of [contributors](https://github.com/deployphp/deployer/graphs/contributors) who participated in this project.

## Sponsorship

Development of the **Deployer** generously supported by contributions from individuals and corporations. If you are benefiting from **Deployer** and would like to help keep the project financially sustainable, please visit Anton Medvedev's [Patreon page](https://www.patreon.com/deployer) or contact him [via email](mailto:anton@medv.io)

### Top Supporters

* Tony James [hyper.host](https://hyper.host)
* Daniel Knoch from [cariba.de](https://cariba.de)

See a full [list of sponsors](https://github.com/deployphp/deployer/blob/master/SPONSORS.md).

## License
Licensed under the [MIT license](https://github.com/deployphp/deployer/blob/master/LICENSE).
